## Description

Resample tracks so they all have the same number of samples, spaced at constant intervals within the range specified.

Use the -extent option to specify the range within which the resampling should take place. For highly curved tracks, you may need to also use the -direction option to ensure the resampling is done correctly. In this case, the start direction specifies the plane through the start point from which the resampling will take place, and the end direction specifies the plane through the end point where the resampling will stop. In both cases, the direction vector should point in the direction of increasing sample point index.

syntax: resample_tracks [ options ] tracks output

## Arguments

tracks | the input track file.
output | the output track file

## Options

-extent start end

specify the start and end of the resampling range (default is 0,0,-50 to 0,0,50).

start | a point lying within the start of the resampling range.
end | a point lying within the end of the resampling range.

-direction start end

specify the direction of the resampling range at the start and end points (default is the vector pointing from the start point to the end point for both start and end directions).

start | a vector pointing along the direction of the resampling at the start of the range.
end | a vector pointing along the direction of the resampling at the end of the range.

-warp image

specify an image containing the warp field to the space in which the resampling is to take place.

image | the warp image.

-num nsamples

specify the number of samples to take along each track (default: 100).

nsamples | the number of samples.

-info | display information messages.
-quiet | do not display information messages or progress status.
-debug | display debugging messages.
-help | display this information page and exit.
-version | display version information and exit.